summaryrefslogtreecommitdiff
path: root/dev-python/clang-python/clang-python-14.0.1.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-04-14 01:46:02 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-04-14 01:46:02 +0000
commiteee7cf7ed39a361f0ff9dcb9152aaa9e2d20fb33 (patch)
tree6912b4fdf324829ac8cb18e9f64d00423a6fd852 /dev-python/clang-python/clang-python-14.0.1.ebuild
parentb5597c9504ff3a0ea91cd0b42497b4d88d893505 (diff)
downloadbaldeagleos-repo-eee7cf7ed39a361f0ff9dcb9152aaa9e2d20fb33.tar.gz
baldeagleos-repo-eee7cf7ed39a361f0ff9dcb9152aaa9e2d20fb33.tar.xz
baldeagleos-repo-eee7cf7ed39a361f0ff9dcb9152aaa9e2d20fb33.zip
Adding metadata
Diffstat (limited to 'dev-python/clang-python/clang-python-14.0.1.ebuild')
-rw-r--r--dev-python/clang-python/clang-python-14.0.1.ebuild41
1 files changed, 41 insertions, 0 deletions
diff --git a/dev-python/clang-python/clang-python-14.0.1.ebuild b/dev-python/clang-python/clang-python-14.0.1.ebuild
new file mode 100644
index 000000000000..e86654593318
--- /dev/null
+++ b/dev-python/clang-python/clang-python-14.0.1.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+inherit llvm.org python-r1
+
+DESCRIPTION="Python bindings for sys-devel/clang"
+HOMEPAGE="https://llvm.org/"
+
+LICENSE="Apache-2.0-with-LLVM-exceptions UoI-NCSA"
+SLOT="0"
+KEYWORDS=""
+IUSE="test"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+RESTRICT="!test? ( test )"
+
+# The module is opening libclang.so directly, and doing some blasphemy
+# on top of it.
+RDEPEND="
+ >=sys-devel/clang-${PV}:*
+ !sys-devel/llvm:0[clang(-),python(-)]
+ !sys-devel/clang:0[python(-)]
+ ${PYTHON_DEPS}"
+DEPEND="${RDEPEND}"
+
+LLVM_COMPONENTS=( clang/bindings/python )
+llvm.org_set_globals
+
+python_test() {
+ "${EPYTHON}" -m unittest discover -v || die "Tests fail with ${EPYTHON}"
+}
+
+src_test() {
+ python_foreach_impl python_test
+}
+
+src_install() {
+ python_foreach_impl python_domodule clang
+}